
%define grantlee_major 5
%define grantlee_minor 3
%define libgrantlee %mklibname grantlee %{grantlee_major}
%define grantlee_devel %mklibname grantlee -d

Name:           grantlee
Summary:        Qt string template engine based on the Django template system
Group:          Graphical desktop/KDE5
Version:        5.3.0
Release:        %mkrel 1
License:        LGPLv2+
URL:            http://www.gitorious.org/grantlee/pages/Home
Source0:        http://downloads.%{name}.org/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5script-devel
BuildRequires: lib64qt5test-devel
BuildRequires:  qt5help-devel
BuildRequires:  doxygen


%description
Grantlee is a plugin based String Template system written using the Qt framework.
The goals of the project are to make it easier for application developers to
separate the structure of documents from the data they contain, opening the door
for theming.

The syntax is intended to follow the syntax of the Django template system, and
the design of Django is reused in Grantlee. Django is covered by a BSD style license.

Part of the design of both is that application developers can extend the syntax by
implementing their own tags and filters. For details of how to do that, see the API
documentation.

For template authors, different applications using Grantlee will present the same
interface and core syntax for creating new themes. For details of how to write
templates, see the documentation.

#--------------------------------------------------------------------

%package -n %libgrantlee
Summary:        Library files for %{name}
Group:          System/Libraries

%description  -n %libgrantlee
Libraries for %{name}.

%files -n %libgrantlee
%{_libdir}/libGrantlee_Templates.so.%{grantlee_major}.%{grantlee_minor}*
%{_libdir}/libGrantlee_Templates.so.%{grantlee_major}
%{_libdir}/libGrantlee_TextDocument.so.%{grantlee_major}.%{grantlee_minor}*
%{_libdir}/libGrantlee_TextDocument.so.%{grantlee_major}
%{_libdir}/grantlee/%{grantlee_major}.%{grantlee_minor}/grantlee_defaultfilters.so
%{_libdir}/grantlee/%{grantlee_major}.%{grantlee_minor}/grantlee_defaulttags.so
%{_libdir}/grantlee/%{grantlee_major}.%{grantlee_minor}/grantlee_i18ntags.so
%{_libdir}/grantlee/%{grantlee_major}.%{grantlee_minor}/grantlee_loadertags.so
#--------------------------------------------------------------------

%package -n %grantlee_devel
Summary:       Development files for %{name}
Group:         Development/Libraries
Requires:      %libgrantlee = %{version}-%{release}

%description -n %grantlee_devel
Libraries and header files to develop applications that use %{name}.

%files -n %grantlee_devel
%{_includedir}/%{name}
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/cmake/Grantlee5

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_qt5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%changelog
* Sat Sep 10 2022 tex - 5.3.0-1pclos2022
- new version

* Fri Sep 09 2022 tex - 5.2.0-2pclos2022
- rebuild against updates

* Fri Feb 21 2020 tex - 5.2.0-1pclos2020
- new version

* Sun Aug 28 2016 bb <bb> 5.1.0-1pclos2016
- update

* Wed Apr 20 2016 bb <bb> 5.0.0-2pclos2016
- create for KDE5

